### Method

# WebKit2WebExtension DOMRange compare_boundary_points

deprecated: 2.22

#### Declaration [src]

    gshort
    webkit_dom_range_compare_boundary_points (
      WebKitDOMRange* self,
      gushort how,
      WebKitDOMRange* sourceRange,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`how`

  Type: `gushort`

  A #gushort.

`sourceRange`

  Type: `WebKitDOMRange`

  A `WebKitDOMRange`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gshort`

A #gshort.